package com.mx.dla.dda.contrato.ws.dtos;

import java.io.Serializable;

public class ItemOrdenCompraDTO implements Serializable {
	
	private static final long serialVersionUID = 1L;
	private String idPosicion;
	private String idMaterial;
	private String centro;
	private String cantidad;
	private String precio;
	private String indicadorIVA;
	private String tipoImputacion;
	private String idPosicionAcc;
	private String centroCostos;
	private String idOrden;

	public String getIdPosicion() {
		return this.idPosicion;
	}

	public void setIdPosicion(String idPosicion) {
		this.idPosicion = idPosicion;
	}

	public String getIdMaterial() {
		return this.idMaterial;
	}

	public void setIdMaterial(String idMaterial) {
		this.idMaterial = idMaterial;
	}

	public String getCentro() {
		return this.centro;
	}

	public void setCentro(String centro) {
		this.centro = centro;
	}

	public String getCantidad() {
		return this.cantidad;
	}

	public void setCantidad(String cantidad) {
		this.cantidad = cantidad;
	}

	public String getPrecio() {
		return this.precio;
	}

	public void setPrecio(String precio) {
		this.precio = precio;
	}

	public String getIndicadorIVA() {
		return this.indicadorIVA;
	}

	public void setIndicadorIVA(String indicadorIVA) {
		this.indicadorIVA = indicadorIVA;
	}

	public String getTipoImputacion() {
		return this.tipoImputacion;
	}

	public void setTipoImputacion(String tipoImputacion) {
		this.tipoImputacion = tipoImputacion;
	}

	public String getIdPosicionAcc() {
		return this.idPosicionAcc;
	}

	public void setIdPosicionAcc(String idPosicionAcc) {
		this.idPosicionAcc = idPosicionAcc;
	}

	public String getCentroCostos() {
		return this.centroCostos;
	}

	public void setCentroCostos(String centroCostos) {
		this.centroCostos = centroCostos;
	}

	public String getIdOrden() {
		return this.idOrden;
	}

	public void setIdOrden(String idOrden) {
		this.idOrden = idOrden;
	}

	@Override
	public String toString() {
		return "ItemOrdenCompraDTO [idPosicion=" + idPosicion + ", idMaterial="
				+ idMaterial + ", centro=" + centro + ", cantidad=" + cantidad
				+ ", precio=" + precio + ", indicadorIVA=" + indicadorIVA
				+ ", tipoImputacion=" + tipoImputacion + ", idPosicionAcc="
				+ idPosicionAcc + ", centroCostos=" + centroCostos
				+ ", idOrden=" + idOrden + "]";
	}
	
	

}
